Method: agenticCaseReportTemplates.patch

Full name: projects.locations.instances.agenticCaseReportTemplates.patch

Updates an existing reporting template.

HTTP request

PATCH https://{endpoint}/v1alpha/{agenticCaseReportTemplate.name}

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
agenticCaseReportTemplate.name

string

Identifier. The resource name of the template.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of AgenticCaseReportTemplate.

Response body

If successful, the response body contains an instance of AgenticCaseReportTemplate.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.agenticCaseReportTemplates.update

For more information, see the IAM documentation.